/**广告组推广目标类型*/
export enum PromotedObjectType {
  PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT = '微信公众号',
  // PROMOTED_OBJECT_TYPE_LEAD_AD = '销售线索',
  // PROMOTED_OBJECT_TYPE_LINK = '网页',
  // PROMOTED_OBJECT_TYPE_LINK_WECHAT = '品牌网页',
  // PROMOTED_OBJECT_TYPE_ECOMMERCE = '商品推广',
  // PROMOTED_OBJECT_TYPE_APP_ANDROID = 'Android应用',
  // PROMOTED_OBJECT_TYPE_APP_IOS = 'IOS应用',
  // PROMOTED_OBJECT_TYPE_APP_ANDROID_MYAPP = '应用宝推广',
  // PROMOTED_OBJECT_TYPE_APP_ANDROID_UNION = 'Android应用（优量汇推广）',
  // PROMOTED_OBJECT_TYPE_LOCAL_ADS_WECHAT = '本地门店',
  // PROMOTED_OBJECT_TYPE_QQ_BROWSER_MINI_PROGRAM = 'QQ浏览器小程序',
  // PROMOTED_OBJECT_TYPE_QQ_MESSAGE = 'QQ消息',
}
// {
//     PROMOTED_OBJECT_TYPE_LINK='网页',
//     PROMOTED_OBJECT_TYPE_LINK_WECHAT='品牌网页',
//     PROMOTED_OBJECT_TYPE_ECOMMERCE='商品推广',
//     PROMOTED_OBJECT_TYPE_APP_ANDROID='Android应用',
//     PROMOTED_OBJECT_TYPE_APP_QUICK_APP='快应用',
//     PROMOTED_OBJECT_TYPE_APP_IOS= 'IOS应用',
//     PROMOTED_OBJECT_TYPE_APP_ANDROID_MYAPP= '应用宝推广',
//     PROMOTED_OBJECT_TYPE_APP_ANDROID_UNION = 'Android应用（优量汇推广）',
//     PROMOTED_OBJECT_TYPE_LOCAL_ADS_WECHAT= '本地门店',
//     PROMOTED_OBJECT_TYPE_QQ_MESSAGE = 'QQ消息',
//     PROMOTED_OBJECT_TYPE_LEAD_AD= '销售线索',
//     PROMOTED_OBJECT_TYPE_MINI_GAME_WECHAT= '微信小游戏',
//     PROMOTED_OBJECT_TYPE_MINI_GAME_QQ='QQ小游戏',
//     // PROMOTED_OBJECT_TYPE_MINI_PROGRAM_WECHAT,
//     PROMOTED_OBJECT_TYPE_WECHAT_CHANNELS='微信视频号',
//     PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT='微信公众号',
//     PROMOTED_OBJECT_TYPE_LOCAL_ADS='本地广告，仅可读'
// }

/**计费类型*/
export enum BillingEventEnum {
  BILLINGEVENT_CLICK = '按点击扣费',
  BILLINGEVENT_APP_DOWNLOAD = '按照应用下载扣费',
  BILLINGEVENT_IMPRESSION = '按曝光扣费',
}

/**广告优化目标类型*/
export enum OptimizationGoalEnum {
  OPTIMIZATIONGOAL_BRAND_CONVERSION = '指定页面曝光',
  OPTIMIZATIONGOAL_FOLLOW = '关注',
  OPTIMIZATIONGOAL_CLICK = '点击',
  OPTIMIZATIONGOAL_IMPRESSION = '曝光',
  OPTIMIZATIONGOAL_APP_DOWNLOAD = '下载',
  OPTIMIZATIONGOAL_APP_ACTIVATE = '激活',
  OPTIMIZATIONGOAL_APP_REGISTER = '注册',
  OPTIMIZATIONGOAL_ONE_DAY_RETENTION = '次日留存',
  OPTIMIZATIONGOAL_APP_PURCHASE = '付费次数，游戏客户如需优化付费行为，建议使用首次付费作为优化目标',
  OPTIMIZATIONGOAL_ECOMMERCE_ORDER = '下单',
  OPTIMIZATIONGOAL_ECOMMERCE_CART = '加入购物车',
  OPTIMIZATIONGOAL_VIEW_COMMODITY_PAGE = '商品详情页浏览',
  OPTIMIZATIONGOAL_ONLINE_CONSULTATION = '在线咨询',
  OPTIMIZATIONGOAL_TELEPHONE_CONSULTATION = '电话拨打',
  OPTIMIZATIONGOAL_PAGE_RESERVATION = '表单预约',
  OPTIMIZATIONGOAL_DELIVERY = '发货',
  OPTIMIZATIONGOAL_MESSAGE_AFTER_FOLLOW = '公众号内发消息',
  OPTIMIZATIONGOAL_CLICK_MENU_AFTER_FOLLOW = '公众号内点击菜单栏',
  OPTIMIZATIONGOAL_LEADS_COLLECT = '综合线索收集',
  OPTIMIZATIONGOAL_FIRST_PURCHASE = '首次付费',
  OPTIMIZATIONGOAL_APPLY = '进件',
  OPTIMIZATIONGOAL_PRE_CREDIT = '预授信',
  OPTIMIZATIONGOAL_CREDIT = '授信',
  OPTIMIZATIONGOAL_WITHDRAW_DEPOSITS = '提现',
  OPTIMIZATIONGOAL_PROMOTION_VIEW_KEY_PAGE = '关键页面访问',
  OPTIMIZATIONGOAL_MOBILE_APP_CREATE_ROLE = '小游戏创角',
  OPTIMIZATIONGOAL_CANVAS_CLICK = '跳转按钮点击',
  OPTIMIZATIONGOAL_PROMOTION_CLAIM_OFFER = '领券',
  OPTIMIZATIONGOAL_ECOMMERCE_ADD_TO_WISHLIST = '商品收藏',
  OPTIMIZATIONGOAL_PAGE_RECEIPT = '签收',
  OPTIMIZATIONGOAL_PAGE_SCAN_CODE = '加企业微信客服',
  OPTIMIZATIONGOAL_SELECT_COURSE = '选课',
  OPTIMIZATIONGOAL_CONFIRM_POTENTIAL_CUSTOMER_PHONE = '电话潜在客户',
  OPTIMIZATIONGOAL_MOBILE_APP_AD_INCOME = '广告变现',
  OPTIMIZATIONGOAL_MOBILE_APP_ACCREDIT = '小游戏授权',
  OPTIMIZATIONGOAL_PURCHASE_MEMBER_CARD = '首次会员购买',
  OPTIMIZATIONGOAL_PAGE_CONFIRM_EFFECTIVE_LEADS = '有效综合线索',
  OPTIMIZATIONGOAL_ADD_DESKTOP = '快应用加桌面',
  OPTIMIZATIONGOAL_RESERVATION = '微信流量预约行为',
  OPTIMIZATIONGOAL_FIRST_ECOMMERCE_ORDER = '首次下单',
  OPTIMIZATIONGOAL_FIRST_TWENTY_FOUR_HOUR_ECOMMERCE_ORDER = '24小时下单',
  OPTIMIZATIONGOAL_LIKE = '点赞',
  OPTIMIZATIONGOAL_EXTERNAL_LINK_CLICK = '外链点击',
  OPTIMIZATIONGOAL_BUY_COUPONS = '购券',
  OPTIMIZATIONGOAL_LEAVE_INFORMATION = '留资',
  OPTIMIZATIONGOAL_CORE_ACTION = '关键行为',
  OPTIMIZATIONGOAL_ONE_DAY_RETENTION_RATIO = '次留率',
  OPTIMIZATIONGOAL_PROMOTION_READ_ARTICLE = '阅读文章',
  OPTIMIZATIONGOAL_RESERVATION_CHECK = '意向表单',
  OPTIMIZATIONGOAL_OPEN_ACCOUNT = '券商开户',
  OPTIMIZATIONGOAL_SEVEN_DAY_ECOMMERCE_ORDER = '7日下单',
}
/**推广计划类型*/
export enum CampaignTypeEnum {
  CAMPAIGN_TYPE_NORMAL = '普通展示广告',
  CAMPAIGN_TYPE_SEARCH = '搜索广告计划',
}

/**投放速度模式*/
export enum SpeedMode {
  SPEED_MODE_FAST = '加速投放',
  SPEED_MODE_STANDARD = '标准投放',
}

/**广告状态*/
export enum AdStatus {
  AD_STATUS_NORMAL = '有效',
  AD_STATUS_SUSPEND = '暂停',
}
/**普通展示广告创意推广目标类型*/
export enum NormalCreativePromotedObjectTypeEnum {
  PROMOTED_OBJECT_TYPE_LINK = '	网页',
  PROMOTED_OBJECT_TYPE_LINK_WECHAT = '品牌网页',
  PROMOTED_OBJECT_TYPE_ECOMMERCE = '商品推广',
  PROMOTED_OBJECT_TYPE_APP_ANDROID = 'Android应用',
  PROMOTED_OBJECT_TYPE_APP_IOS = 'IOS应用',
  PROMOTED_OBJECT_TYPE_APP_ANDROID_MYAPP = '应用宝推广',
  PROMOTED_OBJECT_TYPE_APP_ANDROID_UNION = 'Android应用（优量汇推广）',
  PROMOTED_OBJECT_TYPE_LOCAL_ADS_WECHAT = '本地门店',
  PROMOTED_OBJECT_TYPE_QQ_MESSAGE = 'QQ 消息',
  PROMOTED_OBJECT_TYPE_LEAD_AD = '销售线索',
  PROMOTED_OBJECT_TYPE_MINI_GAME_WECHAT = '微信小游戏',
  PROMOTED_OBJECT_TYPE_APP_QUICK_APP = '快应用',
  PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT = '微信公众号',
}
/**微信朋友圈广告创意推广目标类型*/
export enum WechatCreativePromotedObjectTypeEnum {
  PROMOTED_OBJECT_TYPE_LINK_WECHAT = '品牌网页',
  PROMOTED_OBJECT_TYPE_LOCAL_ADS_WECHAT = '本地门店',
  PROMOTED_OBJECT_TYPE_ECOMMERCE = '商品推广',
  PROMOTED_OBJECT_TYPE_APP_ANDROID = '	Android应用',
  PROMOTED_OBJECT_TYPE_APP_IOS = 'IOS应用',
  PROMOTED_OBJECT_TYPE_LEAD_AD = '销售线索',
  PROMOTED_OBJECT_TYPE_MINI_GAME_WECHAT = '微信小游戏',
}
/**性别枚举*/
export enum GenderEnum {
  MALE = '男性',
  FEMALE = '女性',
}
/**用户学历*/
export enum EducationEnum {
  DOCTOR = '博士',
  MASTER = '硕士',
  BACHELOR = '本科',
  SENIOR = '高中',
  JUNIOR = '初中',
  PRIMARY = '小学',
  JUNIOR_COLLEGE = '专科',
}
/**育儿*/
export enum MaritalStatusEnum {
  SINGLE = '单身',
  IN_LOVE = '热恋',
  NEWLY_MARRIED = '新婚',
  MARRIED = '已婚',
  PARENTING = '育儿',
  PARENTING_0 = '育儿（孕育中）',
  PARENTING_0_6 = '育儿（宝宝 0-6=个月）',
  PARENTING_6_12 = '育儿（宝宝 6-12个月)',
  PARENTING_12_24 = '育儿（宝宝 1-2岁）',
  PARENTING_24_36 = '育儿（宝宝 2-3岁）',
  CHILD_PRE_SCHOOL = '育儿（孩子 3-6周岁)',
  CHILD_PRIMARY_SCHOOL = '育儿（孩子 6-12周岁)',
  CHILD_JUNIOR_SCHOOL = '育儿（孩子 12-15周岁）',
  CHILD_HIGH_SCHOOL = '育儿（孩子 15-18周岁）',
}
/**排除已转化用户定向范围*/
export enum ExcludedDimensionEnum {
  EXCLUDED_DIMENSION_CAMPAIGN = '同计划广告',
  EXCLUDED_DIMENSION_UID = '同账号广告',
  EXCLUDED_DIMENSION_BUSINESS_MANAGER = '同商务管家广告',
  EXCLUDED_DIMENSION_COMPANY_ACCOUNT = '同主体广告',
  EXCLUDED_DIMENSION_APP = '同应用',
  EXCLUDED_DIMENSION_PRODUCT = '同商品',
}

/**广告版位*/
export enum SiteSetEnum {
  // "SITE_SET_KANDIAN"="腾讯看点",
  // "SITE_SET_MINI_GAME_QQ"="QQ小游戏",
  // "SITE_SET_MINI_GAME_WECHAT"="微信小游戏",
  // "SITE_SET_MOBILE_GAME"="App游戏",
  // "SITE_SET_MOBILE_MYAPP"="应用宝移动",
  // "SITE_SET_MOBILE_UNION"="优量汇",
  // "SITE_SET_MOBILE_YYB"="应用宝",
  'SITE_SET_MOMENTS' = '微信朋友圈',
  // "SITE_SET_QQ_MUSIC_GAME"="QQ、腾讯音乐及游戏",
  // "SITE_SET_TENCENT_NEWS"="腾讯新闻",
  // "SITE_SET_TENCENT_VIDEO"="腾讯视频",
  'SITE_SET_WECHAT' = '微信公众号与小程序',
}
/***/
/**出价方式*/
export enum BidModeEnum {
  BID_MODE_OCPM = 'oCPM',
  BID_MODE_CPM = 'CPM',
  BID_MODE_CPC = 'CPC',
  BID_MODE_CPA = 'CPA',
  BID_MODE_OCPC = 'oCPC',
}
/**出价策略*/
export enum BidStrategyEnum {
  BID_STRATEGY_AVERAGE_COST = '稳定拿量',
  BID_STRATEGY_TARGET_COST = '优先拿量',
  //   BID_STRATEGY_PRIORITY_LOW_COST = '优先低成本',
  BID_STRATEGY_PRIORITY_CAP_COST = '控制成本上限',
}

/**操作系统*/
export enum UserOsEnum {
  IOS_VERSION_4 = ' iOS 4.x',
  IOS_VERSION_5 = 'iOS 5.x',
  IOS_VERSION_6 = 'iOS 6.x',
  IOS_VERSION_7 = 'iOS 7.x',
  IOS_VERSION_8 = 'iOS 8.x',
  IOS_VERSION_9 = 'iOS 9.x',
  IOS_VERSION_10 = 'iOS 10.x',
  IOS_VERSION_11 = 'iOS 11.x',
  IOS_VERSION_12 = 'iOS 12.x',
  IOS_VERSION_13 = 'iOS 13.x',
  IOS_VERSION_14 = 'iOS 14.x',
  ANDROID_VERSION_1 = 'Android 1.x',
  ANDROID_VERSION_2 = 'Android 2.x',
  ANDROID_VERSION_3 = 'Android 3.x',
  ANDROID_VERSION_4 = 'Android 4.x',
  ANDROID_VERSION_5 = 'Android 5.x',
  ANDROID_VERSION_6 = 'Android 6.x',
  ANDROID_VERSION_7 = 'Android 7.x',
  ANDROID_VERSION_8 = 'Android 8.x',
  ANDROID_VERSION_9 = 'Android 9.x',
  ANDROID_VERSION_10 = 'Android 10.x',
}
/**设备价格*/
export enum DevicePriceEnum {
  PRICE_1500_LESS = '￥ 1500 以下',
  PRICE_1500_2500 = '￥ 1500 ~ 2500',
  PRICE_2500_3500 = '￥ 2500 ~ 3500',
  PRICE_3500_4500 = '￥ 3500 ~ 4500',
  PRICE_4500_MORE = '￥ 4500 以上',
}
/**联网方式*/
export enum NetworkEnum {
  WIFI = '无线网络',
  NET_2G = '2G 网络',
  NET_3G = '3G 网络',
  NET_4G = '4G 网络',
  NET_5G = '5G 网络',
}
/**联网方式*/
export enum WechatAdBehaviorEnum {
  WECHAT_OFFICIAL_ACCOUNT_AD_LIKE = '曾对你的公众号广告感兴趣',
  WECHAT_MOMENTS_AD_LIKE = '曾对你的朋友圈广告感兴趣',
  MINI_GAME_WECHAT_REGISTERED = '已关注过你的公众号',
}

/** 商品库规模  */
export enum CatalogScaleType {
  CATALOG_SCALE_TYPE_NORMAL = '普通商品库，商品库规模不大于 100 万',
  CATALOG_SCALE_TYPE_HUGE = '超大商品库，商品库规模大于 100 万',
}

/** 商品库类型 */
export enum CatalogType {
  CATALOG_TYPE_STANDARD = '标准商品库类型',
}

/** 商品库行业类型 */
export enum IndustryType {
  INDUSTRY_TYPE_ECOMMERCE = '普通电商',
  INDUSTRY_TYPE_READING = '阅读行业',
  INDUSTRY_TYPE_EDUCATION = '教育行业',
  INDUSTRY_TYPE_WEDDING = '婚纱行业',
  INDUSTRY_TYPE_VIDEO = '视频行业',
  INDUSTRY_TYPE_INSURANCE = '保险行业',
  INDUSTRY_TYPE_LOAN = '贷款行业',
  INDUSTRY_TYPE_FINANCIAL = '理财行业',
  INDUSTRY_TYPE_BANKCARD = '银行卡行业',
  INDUSTRY_TYPE_SECURITIES = '证券行业',
  INDUSTRY_TYPE_ESTATE = '房产租售',
  INDUSTRY_TYPE_CARRIER = '运营商',
  INDUSTRY_TYPE_MERCHANTS = '招商加盟',
  INDUSTRY_TYPE_BUSINESS_SERVICE = '商务服务',
  INDUSTRY_TYPE_DECORATION_BUILDING_MATERIAL = '家居行业',
  INDUSTRY_TYPE_HOTEL = '旅游行业',
  INDUSTRY_TYPE_CAR_ONLINE_PLATFORM = '汽车线上平台',
  INDUSTRY_TYPE_CAR_AFTERMARKET = '汽车后市场',
  INDUSTRY_TYPE_CAR_TRAVEL_SERVICE = '汽车出行服务',
}
/**落地页类型*/
export enum PageTypeEnum {
  PAGE_TYPE_CANVAS_WECHAT = '微信原生推广页',
  PAGE_TYPE_MOMENTS_SIMPLE_NATIVE_WECHAT = '微信简版原生页',
  PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL = '微信公众号详情页',
}
/**跳转落地页类型*/
export enum LinkPageTypeEnum {
  LINK_PAGE_TYPE_CANVAS_WECHAT = '微信原生页',
  LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL = '微信公众号详情页',
}
/**链接名称类型*/
export enum LinkPageNameTypeEnum {
  VIEW_DETAILS = '查看详情',
  GET_COUPONS = '领取优惠，选择领取优惠，需在详情页中可直接领取优惠，否则广告将会被审核驳回',
  MAKE_AN_APPOINTMENT = '预约活动，选择预约活动，需在详情页中体现活动预约入口，否则广告将会被审核驳回',
  BUY_NOW = '立即购买，当且仅当推广目标为电商时可使用',
  GO_SHOPPING = '去逛逛，当且仅当推广目标为电商时可使用',
  ENTER_MINI_PROGRAM = '进入小程序，仅能使用于投放小程序落地页',
  ENTER_MINI_GAME = '进入小游戏，仅能使用于投放小游戏落地页',
  APPLY_NOW = '立即申请',
  BOOK_NOW = '立即预定',
  RESERVATION_BUY = '预约购买',
  CONSULT_NOW = '立即咨询',
  BOOK_DRIVE = '预约试驾',
  ENTER_OFFICIAL_ACCOUNTS = '了解公众号',
  PLAY_NOW = '立即玩',
  OPEN_MINI_GAME = '打开游戏',
  DOWNLOAD_APP = '下载应用',
  DOWNLOAD_GAME = '下载游戏',
  GET_SAMPLES = '领取小样',
  TRY_NOW = '立即体验',
  GET_IT_NOW = '立即领取',
  BUY_ASAP = '立即抢购',
  DOWNLOAD_NOW = '立即下载',
  VIEW_APPS = '查看应用',
  MORE_INFO = '了解更多',
  GET_VOUCHERS = '领券',
  FOLLOW_OFFICIAL_ACCOUNT = '关注公众号',
  READ_NOVELS = '阅读小说',
  WATCH_LIVE = '观看直播',
  RESERVE_NOW = '立即预约',
  OPEN_APP = '打开应用',
  ALREADY_INSTALL = '已安装',
  RESERVE_LIVE = '预约直播',
  SETUP_NOW = '立即开通',
  SECKILL_NOW = '立即秒杀',
  TRY_PLAY_NOW = '立即试玩',
  INSTALL_NOW = '立即安装',
  MORE_ABOUT_OFFICIAL_ACCOUNT_CHT = '了解公眾號',
  FOLLOW_OFFICIAL_ACCOUNT_CHT = '關註公眾號',
  GET_FOR_FREE = '免费领取',
  CARNIVAL_618 = '618 狂欢',
  SURPRISE_618 = '618 惊喜',
  DISCOUNT_618 = '618 优惠',
  GO_618_VENUE = '去 618 会场',
  GET_618_WELFARE = '领 618 福利',
  CONTACT_CUSTOMER_SERVICE = '联系客服',
  CONTACT_BUSINESS = '联系商家',
}